v1.0.0
OpenAPI 3.1.0

Lookup a customer's attributes

US region

Client Libraries

Lookup a customer's attributes

Return a list of attributes for a customer profile. You can use attributes to fashion segments or as liquid merge fields in your messages.

Path Parameters
  • customer_id
    Type: string
    required

    The ID of the customer you want to perform an operation against.

Query Parameters
  • id_type
    Type: stringenum

    The type of customer_id you want to use to reference a person. If you don't provide this parameter, we assume that the customer_id in your request is a person's id. You can use email and phone only if they're enabled as identifiers in your workspace settings; otherwise the request returns 400. Reference phone values in E.164 format, like +14155552671, and URL-encode the leading + as %2B.

    values
    • id
    • email
    • phone
    • cio_id
Responses
  • application/json
  • 404

    The customer_id does not exist.

  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/customers/{customer_id}/attributes
curl 'https://api.customer.io/v1/customers/12345/attributes?id_type=id' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "customer": {
    "id": "1",
    "attributes": {
      "_last_emailed": "1528932553",
      "created_at": "1489014595",
      "email": "test@example.com",
      "title": "tester",
      "department": "qa",
      "id": "1",
      "cio_id": "03000001",
      "cio_subscription_preferences": "{\"topics\":{\"topic_7\":false,\"topic_8\":false}}",
      "_cio_subscription_preferences_computed": "{\"topics\":{\"topic_6\":false,\"topic_7\":false,\"topic_8\":false}}"
    },
    "timestamps": {
      "cio_id": 1489014595,
      "_last_emailed": 1528932553,
      "created_at": 1489014595,
      "email": 1508932553,
      "id": 1489014595,
      "department": 1508932553,
      "title": 1508932553,
      "_cio_subscription_preferences_computed": 0,
      "cio_subscription_preferences": 1673987303
    },
    "unsubscribed": false,
    "devices": [
      {
        "id": "my_android_device_id",
        "last_used": 1514764800,
        "platform": "android"
      },
      {
        "id": "my_ios_device_id",
        "last_used": 1514764800,
        "platform": "ios"
      }
    ]
  }
}